# PresenterKit [![Actions Status](https://github.com/jessesquires/PresenterKit/workflows/CI/badge.svg)](https://github.com/jessesquires/PresenterKit/actions)

*Custom presenters and better view controller presentation for iOS*

## Requirements

* Xcode 12.0+
* Swift 5.3+
* iOS 11.0+
* [SwiftLint](https://github.com/realm/SwiftLint)

## Installation

#### [CocoaPods](https://cocoapods.org)

````ruby
pod 'PresenterKit', '~> 6.1.0'

# develop branch
pod 'PresenterKit', :git => 'https://github.com/jessesquires/PresenterKit.git', :branch => 'develop'
````

### [Swift Package Manager](https://swift.org/package-manager/)

Add `PresenterKit` to the `dependencies` value of your `Package.swift`.

```swift
dependencies: [
    .package(url: "https://github.com/jessesquires/PresenterKit.git", from: "6.1.0")
]
```

Alternatively, you can add the package [directly via Xcode](https://developer.apple.com/documentation/xcode/adding_package_dependencies_to_your_app).

## Documentation

You can read the [documentation here](https://jessesquires.github.io/PresenterKit). Generated with [jazzy](https://github.com/realm/jazzy). Hosted by [GitHub Pages](https://pages.github.com).

## Contributing

Interested in making contributions to this project? Please review the guides below.

- [Contributing Guidelines](https://github.com/jessesquires/.github/blob/master/CONTRIBUTING.md)
- [Code of Conduct](https://github.com/jessesquires/.github/blob/master/CODE_OF_CONDUCT.md)
- [Support and Help](https://github.com/jessesquires/.github/blob/master/SUPPORT.md)
- [Security Policy](https://github.com/jessesquires/.github/blob/master/SECURITY.md)

Also, consider [sponsoring this project](https://www.jessesquires.com/sponsor/) or [buying my apps](https://www.hexedbits.com)! ✌️

## Credits

Created and maintained by [**@jesse_squires**](https://twitter.com/jesse_squires).

## License

Released under the MIT License. See `LICENSE` for details.

> **Copyright &copy; 2016-present Jesse Squires.**
